// (c) MIT 2003.  All rights reserved.

// $Id: CertainTransition.java,v 1.5 2003/03/06 00:40:40 moltmans Exp $
// Time-stamp: <2000-03-11 18:59:36 moltmans>
package rec.sys;



import rec.util.*;
import java.util.*;

/**
 * Slightly different semantics:
 * Transition with actions to be commited in the future, but that
 * have not been created when the transition is created.
 *
 * Not to be used with the main transitions, since its purpose is much
 * simpler... it will not support all of the functionality of the 
 * main Transition class
 */
public class CertainTransition extends DieTransition
{
  public CertainTransition( Surface s, Widget w )
  {
    super( s, w );
  }

  protected Collection killBadWidgets()
  {
    return m_Widget.certain();
  }
  
  /**
   * get the effects of the action without performing the do 
   */
  // for now this is just a string, soon it will be an action object
  // that can be more easily reasoned about.
  public String getAction()
  {
    return( "make widget " + m_Widget + " certain" );
  }


}

